Incus - Command line client(1)

NAME
incus-admin-init - Configure the daemon

SYNOPSIS
incus admin init [flags]

DESCRIPTION
Description:
  Configure the daemon

OPTIONS
--auto[=false]
    Automatic (non-interactive) mode

--dump[=false]
    Dump YAML config to stdout

--minimal[=false]
    Minimal configuration (non-interactive)

--network-address=""
    Address to bind to (default: none)``

--network-port=-1
    Port to bind to (default: 8443)``

--preseed[=false]
    Pre-seed mode, expects YAML config from stdin

--storage-backend=""
    Storage backend to use (btrfs, dir, lvm or zfs, default: dir)``

--storage-create-device=""
    Setup device based storage using DEVICE``

--storage-create-loop=-1
    Setup loop based storage with SIZE in GiB``

--storage-pool=""
    Storage pool to use or create``

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Show all debug messages

--force-local[=false]
    Force using the local unix socket

-h, --help[=false]
    Print help

--project=""
    Override the source project``

-q, --quiet[=false]
    Don't show progress information

--sub-commands[=false]
    Use with help or --help to view sub-commands

-v, --verbose[=false]
    Show all information messages

--version[=false]
    Print version number

EXAMPLE
      init --minimal
      init --auto [--network-address=IP] [--network-port=8443] [--storage-backend=dir]
                  [--storage-create-device=DEVICE] [--storage-create-loop=SIZE]
                  [--storage-pool=POOL]
      init --preseed [preseed.yaml]
      init --dump

SEE ALSO
incus-admin(1)

HISTORY
22-Jan-2026 Auto generated by spf13/cobra